# stats.defn.tcl


namespace eval ::DataAcquisitionStats {

variable ITEM

    variable NUM 64
    for {set i 0} {$i <= $NUM} {incr i} {
      set ITEM($i) ""
    }

set ITEM(0) ""
set ITEM(1) "Looking for data"
set ITEM(2) "empty event"
set ITEM(3) "Histogram increments"
set ITEM(4) "Buffers transmitted"
set ITEM(5) "Total data transmitted"
set ITEM(6) "Null events"
set ITEM(7) "fifo empty"

set ITEM(9) "SAC no event"

set ITEM(11) "Event not acceptable"
set ITEM(12) "Bad data"
set ITEM(13) "Events"

set ITEM(14) "Transfer error"
set ITEM(15) "Waiting for network"

set ITEM(16) "V1495 no data"
set ITEM(17) "V1495 data"


set ITEM(20) "V17XX events"
set ITEM(21) "V17XX no data"
set ITEM(22) "V17XXFLUSH"
set ITEM(23) "V17XX items"
set ITEM(24) "V17XX blocks"
set ITEM(25) "V17XX No Energy"
set ITEM(26) ""
set ITEM(27) "V17XX Bad Hdr1"
set ITEM(28) "V17XX Bad Hdr2"
set ITEM(29) "V17XX Bad Hdr3"

set ITEM(30) "V17XX Short Event"
set ITEM(31) "V17XX Long Event"
set ITEM(32) "V17XX Null Event"
set ITEM(33) "V17XX Bad Event1"
set ITEM(34) "V17XX VME BusErr"
set ITEM(35) "V17XX Data"
set ITEM(36) "V17XX Bad Hdr4"
set ITEM(37) "V17XXFIFOABORT"
set ITEM(38) "V17XXFIFOEMPTY"
set ITEM(39) "V17XX Ev Counter Warp"
set ITEM(40) "V17XX Ev TimeTag Warp"
set ITEM(41) "V17XX Tr TimeTag Warp"
set ITEM(42) "V17XX Bad Hdr5"

set ITEM(41) "CAEN data items"
set ITEM(42) "CAEN fifo waiting"
set ITEM(43) "CAEN fifo abort"
set ITEM(44) "CAEN Bad data"
set ITEM(45) "CAEN fifo empty"
set ITEM(46) "CAEN events"
set ITEM(47) "CAEN fifo flush"
set ITEM(48) "CAEN data items flushed"
set ITEM(49) "CAEN TDC overflow"
set ITEM(50) "CAEN TDC multiple hits"
set ITEM(51) "CAEN ADC overflow"
set ITEM(52) "CAEN ADC underflow"
set ITEM(53) "CAEN ADC Range"
set ITEM(54) "CAEN TDC no start"
set ITEM(55) "CAEN total data count"
set ITEM(56) "CAEN fifo waiting"
set ITEM(57) "CAEN fifo abort"
set ITEM(58) "CAEN fifo empty"
set ITEM(59) "CAEN Bad data"

}

