
variable registerlist

lappend registerlist [list NetVar.DT5780_NumSamples  "-n DT5780_NumSamples -t int"]
lappend registerlist [list NetVar.DT5780_VMERetries  "-n DT5780_VMERetries -t int"]
lappend registerlist [list NetVar.DT5780_BERREnable  "-n DT5780_BERREnable -t int"]
lappend registerlist [list NetVar.DT5780_VMEBufSize  "-n DT5780_VMEBufSize -t int"]

lappend registerlist [list NetVar.DT5780_TraceOpt    "-n DT5780_TraceOpt -t int"]
lappend registerlist [list NetVar.DT5780_Trig        "-n DT5780_Trig -t int"]
lappend registerlist [list NetVar.DT5780_DVP         "-n DT5780_DVP -t int"]
lappend registerlist [list NetVar.DT5780_Diag        "-n DT5780_Diag -t int"]

#lappend registerlist [list NetVar.V1495_UseCtrl     "-n V1495_UseCtrl -t int"]

variable DT5780_Base 64

proc Set_DT5780_Options {} {
    variable Options
    variable DT5780_Base

puts "Set_DT5780_Options"

    load_Options

   if {![info exists Options(Use1495)]}                     {set Options(Use1495) 0}
   if {![info exists Options(Usepatterngen)]}               {set Options(Usepatterngen) 0}

   if {![info exists Options(DT5780_DPP)]}                   {set Options(DT5780_DPP) 1}
   if {![info exists Options(DT5780_TraceOpt)]}              {set Options(DT5780_TraceOpt) 0}
   if {![info exists Options(DT5780_Trig)]}                  {set Options(DT5780_Trig) 0}
   if {![info exists Options(DT5780_DVP)]}                   {set Options(DT5780_DVP) 0}
   if {![info exists Options(DT5780_Diag)]}                  {set Options(DT5780_Diag) 0}
   if {![info exists Options(DT5780_MaxEvtsPerBuf)]}         {set Options(DT5780_MaxEvtsPerBuf) 1}
   if {![info exists Options(DT5780_MaxBLT)]}                {set Options(DT5780_MaxBLT) 1}
   if {![info exists Options(DT5780_MemBufSize)]}            {set Options(DT5780_MemBufSize) 4096}
   if {![info exists Options(DT5780_VMEBufSize)]}            {set Options(DT5780_VMEBufSize) 524288}

   if {![info exists Options(DT5780_Hist_Diag.Enable)]}      {set Options(DT5780_Hist_Diag.Enable) 0}
   if {![info exists Options(DT5780_Hist_Diag.channels)]}    {set Options(DT5780_Hist_Diag.channels) 16384}

   if {![info exists Options(DT5780_Hist_TraceA.Enable)]}    {set Options(DT5780_Hist_TraceA.Enable) 1}
#   if {![info exists Options(DT5780_Hist_TraceB.Enable)]}    {set Options(DT5780_Hist_TraceB.Enable) 0}
set Options(DT5780_Hist_TraceB.Enable) 0
   if {![info exists Options(DT5780_Hist_Energy.Enable)]}    {set Options(DT5780_Hist_Energy.Enable) 1}
   if {![info exists Options(DT5780_Hist_BaseLine.Enable)]}  {set Options(DT5780_Hist_BaseLine.Enable) 0}
   if {![info exists Options(DT5780_Hist_TimeH.Enable)]}     {set Options(DT5780_Hist_TimeH.Enable) 0}
   if {![info exists Options(DT5780_Hist_TimeL.Enable)]}     {set Options(DT5780_Hist_TimeL.Enable) 0}
   if {![info exists Options(DT5780_Hist_TraceA.channels)]}  {set Options(DT5780_Hist_TraceA.channels) 512}
   if {![info exists Options(DT5780_Hist_TraceA.offset)]}    {set Options(DT5780_Hist_TraceA.offset) 0}
   if {![info exists Options(DT5780_Hist_TraceA.shift)]}     {set Options(DT5780_Hist_TraceA.shift) 0}
#   if {![info exists Options(DT5780_Hist_TraceB.channels)]}  {set Options(DT5780_Hist_TraceB.channels) 512}
#   if {![info exists Options(DT5780_Hist_TraceB.offset)]}    {set Options(DT5780_Hist_TraceB.offset) 0}
#   if {![info exists Options(DT5780_Hist_TraceB.shift)]}     {set Options(DT5780_Hist_TraceB.shift) 0}
   if {![info exists Options(DT5780_Hist_Energy.channels)]}  {set Options(DT5780_Hist_Energy.channels) 32768}
   if {![info exists Options(DT5780_Hist_Energy.offset)]}    {set Options(DT5780_Hist_Energy.offset) 0}
   if {![info exists Options(DT5780_Hist_Energy.shift)]}     {set Options(DT5780_Hist_Energy.shift) 0}
   if {![info exists Options(DT5780_Hist_BaseLine.channels)]}  {set Options(DT5780_Hist_BaseLine.channels) 65536}
   if {![info exists Options(DT5780_Hist_BaseLine.offset)]}    {set Options(DT5780_Hist_BaseLine.offset) 0}
   if {![info exists Options(DT5780_Hist_BaseLine.shift)]}     {set Options(DT5780_Hist_BaseLine.shift) 0}
   if {![info exists Options(DT5780_Hist_TimeH.channels)]}   {set Options(DT5780_Hist_TimeH.channels) 65536}
   if {![info exists Options(DT5780_Hist_TimeH.offset)]}     {set Options(DT5780_Hist_TimeH.offset) 0}
   if {![info exists Options(DT5780_Hist_TimeH.shift)]}      {set Options(DT5780_Hist_TimeH.shift) 0}
   if {![info exists Options(DT5780_Hist_TimeL.channels)]}   {set Options(DT5780_Hist_TimeL.channels) 65536}
   if {![info exists Options(DT5780_Hist_TimeL.offset)]}     {set Options(DT5780_Hist_TimeL.offset) 0}
   if {![info exists Options(DT5780_Hist_TimeL.shift)]}      {set Options(DT5780_Hist_TimeL.shift) 0}
   if {![info exists Options(DT5780_GroupBase)]}             {set Options(DT5780_GroupBase) $DT5780_Base}
   set DT5780_Base  $Options(DT5780_GroupBase)

    update_Options
}

proc DT5780_Configure {} {
    variable Options

puts "DT5780_Configure"

set Options(Use1495) 0
set Options(Usepatterngen) 0

    set VME_BUFFER_SIZE [ReadNetVar NetVar.DT5780_VMEBufSize]
    set Options(DT5780_VMEBufSize) $VME_BUFFER_SIZE

      update_Options

    WriteNetVar NetVar.DT5780_Trig $Options(DT5780_Trig)
    WriteNetVar NetVar.DT5780_DVP  $Options(DT5780_DVP)
    WriteNetVar NetVar.DT5780_Diag  $Options(DT5780_Diag)

           switch $Options(DT5780_MemBufSize) {
              65536 {set BUFF_ORG 2; set BUFF_NUM 4}
              32768 {set BUFF_ORG 3; set BUFF_NUM 8}
              16384 {set BUFF_ORG 4; set BUFF_NUM 16}
              8192  {set BUFF_ORG 5; set BUFF_NUM 32}
              4096  {set BUFF_ORG 6; set BUFF_NUM 64}
              2048  {set BUFF_ORG 7; set BUFF_NUM 128}
              1024  {set BUFF_ORG 8; set BUFF_NUM 256}
              512   {set BUFF_ORG 9; set BUFF_NUM 512}
              256   {set BUFF_ORG 10; set BUFF_NUM 1024}
              default {set BUFF_ORG 10; set BUFF_NUM 1024}
           }

      set z [catch {ReadVMERegisterAttr dt5780#1.VMEStatus} m]
      if {$z==0} then {

           WriteVMERegister dt5780#1.VMEControl 16   ;# force BERR option

           set SIZE [ReadVMERegister dt5780#1.CustomSize]
           if {$SIZE == 0} {set SIZE 32}
           WriteNetVar NetVar.DT5780_NumSamples $SIZE

           set NUM [expr (($Options(DT5780_MemBufSize) - 2) * 2) / $SIZE]
           if {$NUM < 1} {set NUM 1}
           if {$NUM > $Options(DT5780_MaxEvtsPerBuf)} {set NUM $Options(DT5780_MaxEvtsPerBuf)}

           set BERR [ReadVMERegister dt5780#1.VMEControl] ;# enable BERR to finish a VME block transfer
           WriteNetVar NetVar.DT5780_BERREnable [expr ($BERR >> 4) & 1]

puts "DT5780 Output buffers $BUFF_NUM  @ $Options(DT5780_MemBufSize) 32 bit words"
puts "Waveform [expr $SIZE * 2] samples"
puts "2 channels; $NUM events/buffer"

           set osize [expr (($SIZE + 2) * $NUM) + 2]
puts "DT5780 buffer size used $osize words out of max $Options(DT5780_MemBufSize)"

           if {$osize > $Options(DT5780_MemBufSize)} {
              puts "Number of samples or Events per buffer is too big\n\
                 $osize > $Options(DT5780_MemBufSize) - this is not permitted\n\
                 correct options and try again"
              return
           }

           set BLT [expr $VME_BUFFER_SIZE / (($osize * 2) + 4)]
           if {$BLT > $Options(DT5780_MaxBLT)} {set BLT $Options(DT5780_MaxBLT)}

puts "BLT Event Number = $BLT"
           set isize [expr (($osize * 2) + 4) * $BLT]
puts "Data Acq Input buffer size used $isize words out of max $VME_BUFFER_SIZE"

puts "DT5780_Configure $BERR $SIZE $BUFF_ORG $NUM"

           WriteVMERegisters dt5780#*.VMEControl $BERR     ;# set all modules to same setting
           WriteVMERegisters dt5780#*.CustomSize $SIZE     ;# set all modules to same setting
           WriteVMERegisters dt5780#*.BufferOrg $BUFF_ORG
           WriteVMERegisters dt5780#\[?,??\].EvtsPerBuf $NUM
           WriteVMERegisters dt5780#*.BLTEventNum $BLT     ;# set all modules to same setting
      }

puts "DT5780_Configure $Options(Use1495)"

    if {$Options(Use1495) == 1} {WriteVMERegisters v1495#1.ArmLimit $BLT}
    WriteNetVar NetVar.V1495_UseCtrl  $Options(Use1495)

puts "DT5780_Configure finished"

}

proc DT5780_DAQ-go {} {
    variable Options

    if {$Options(DT5780_DPP) == 0} {return}    ;# not DPP - handled by V17XX_DAQ-go

#       WriteVMERegisters dt5780#*.Clear 0
    WriteVMERegisters dt5780#*.AcqControl 4
}

proc DT5780_DAQ-halt {} {
    variable Options

    if {$Options(DT5780_DPP) == 0} {return}    ;# not DPP - handled by V17XX_DAQ-halt

    WriteVMERegisters dt5780#*.AcqControl 0
WriteVMERegisters dt5780#*.Clear 0
}

proc DT5780_DAQ-setup {} {
    variable Options

    if {$Options(DT5780_DPP) == 0} {return}    ;# not DPP - handled by V17XX_DAQ-setup

     DT5780_Configure
}

proc DT5780_DAQ-flush {} {}

proc DT5780_DAQ-reset {} {}

proc Dump_Raw_DT5780_Data {} {

   set maxmodule 0
   for {set i 1} {$i <= 16} {incr i} {
      set z [catch {ReadVMERegisterAttr dt5780#$i.VMEStatus} m]
      if {$z!=0} then {break}
      incr maxmodule
   }

    set info "Raw data dump for CAEN DT5780\n"

    for {set i 1} {$i <= $maxmodule} {incr i} {

       append info "DT5780#$i\n"

        DataAcqCommand 19 "Getting Raw Data" "1 $i" 2
        set data [ReadNetVar NetVar.EXEC.Response]

        foreach word $data {
           if {[string range $word 0 1] != "0x"} then {set word 0x$word}
           if {$word == 0xaa5555aa} then {
               append info "$word - end of dump\n"
               break
           }
           if {$word == 0x55aaaa55} then {
               append info "$word - end of event\n"
               continue
           }
           append info "$word "
        }

        append info "\n"
     }

   return $info
}


proc define_DT5780_config {} {
    variable Options
    variable DT5780_Base

#   set maxmodule [inform vmecontrol inquire DT5780count]
#   if {[string length $maxmodule] > 2} {set maxmodule 0}

    if {$Options(DT5780_DPP) == 0} {return}    ;# not DPP 

puts "define_DT5780_config"

   set maxmodule 0
   for {set i 1} {$i <= 16} {incr i} {
      set z [catch {ReadVMERegisterAttr dt5780#$i.VMEStatus} m]
      if {$z!=0} then {break}
      incr maxmodule
   }

   if {$maxmodule > 0} then {DefineConfig "5780 0 [format "0x%x" $DT5780_Base]"}

   for {set i 1} {$i <= $maxmodule} {incr i} {

      set z [catch {ReadVMERegisterAttr dt5780#$i.Output_Buffer} m]
      if {$z!=0} then {
          puts "Attempting to locate register DT5780#$i.Output_Buffer"
          error $m
      }

      DefineConfig "5780 $i [string range [first $m] 2 end]"
   }
}

proc create_DT5780_spectra {} {
    variable DT5780_Base
    variable Options 

puts "create_DT5780_spectra"

    if {$Options(DT5780_DPP) == 0} {return}    ;# not DPP 

   set maxmodule 0
   for {set i 1} {$i <= 16} {incr i} {
      set z [catch {ReadVMERegisterAttr dt5780#$i.VMEStatus} m]
      if {$z!=0} then {break}
      incr maxmodule
   }

   set UseGroup [ReadNetVar NetVar.UseGroup]

   for {set i 1} {$i <= $maxmodule} {incr i} {

     if {$Options(DT5780_Hist_Diag.Enable) == 1} {

#    histograms for diagnostics output

           set spectrumname DT5780#$i.Diag
           set z [catch {CreateSpectrum1D $spectrumname $Options(DT5780_Hist_Diag.channels)} m]

#    Allow "Spectrum already exists" so that further spectra can be created
           if {$z!=0 && $m==0x30004} then {set z 0}
           if {$z!=0} then {
              puts "Attempting to create spectrum $spectrumname"
              error $m
           } else {
               map_spectrum  "$spectrumname 0 $i 0 0"
           }
     }

     if {$Options(DT5780_Hist_Energy.Enable) == 1} {

        for {set j 0} {$j < 2} {incr j} {   

#    histograms for the computed energy

           set spectrumname DT5780#$i.E[set j]
           set z [catch {CreateSpectrum1D $spectrumname $Options(DT5780_Hist_Energy.channels)} m]

#    Allow "Spectrum already exists" so that further spectra can be created
           if {$z!=0 && $m==0x30004} then {set z 0}
           if {$z!=0} then {
              puts "Attempting to create spectrum $spectrumname"
              error $m
           } else {

               if {$UseGroup == 0} {
                   set group [expr ($i - 1) + $DT5780_Base]
                   set item [expr $j + (0 << 3)]
               } else {
                   set group [expr (($i - 1) * 2) + $j + $DT5780_Base]
                   set item 0
               }
               map_spectrum  "$spectrumname $group $item $Options(DT5780_Hist_Energy.offset) $Options(DT5780_Hist_Energy.shift)"

           }
        }
     }

     if {$Options(DT5780_Hist_BaseLine.Enable) == 1} {

        for {set j 0} {$j < 2} {incr j} {   

#    histograms for the base line

           set spectrumname DT5780#$i.B[set j]
           set z [catch {CreateSpectrum1D $spectrumname $Options(DT5780_Hist_BaseLine.channels)} m]

#    Allow "Spectrum already exists" so that further spectra can be created
           if {$z!=0 && $m==0x30004} then {set z 0}
           if {$z!=0} then {
              puts "Attempting to create spectrum $spectrumname"
              error $m
           } else {

               if {$UseGroup == 0} {
                   set group [expr ($i - 1) + $DT5780_Base]
                   set item [expr $j + (1 << 3)]
               } else {
                   set group [expr (($i - 1) * 2) + $j + $DT5780_Base]
                   set item 1
               }
               map_spectrum  "$spectrumname $group $item $Options(DT5780_Hist_BaseLine.offset) $Options(DT5780_Hist_BaseLine.shift)"

           }
        }
     }


     if {$Options(DT5780_Hist_TimeH.Enable) == 1} {

        for {set j 0} {$j < 2} {incr j} {   

#    histograms for the time (MSW)

           set spectrumname DT5780#$i.TH[set j]
           set z [catch {CreateSpectrum1D $spectrumname $Options(DT5780_Hist_TimeH.channels)} m]

#    Allow "Spectrum already exists" so that further spectra can be created
           if {$z!=0 && $m==0x30004} then {set z 0}
           if {$z!=0} then {
              puts "Attempting to create spectrum $spectrumname"
              error $m
           } else {
               if {$UseGroup == 0} {
                   set group [expr ($i - 1) + $DT5780_Base]
                   set item [expr $j + (2 << 3)]
               } else {
                   set group [expr (($i - 1) * 2) + $j + $DT5780_Base]
                   set item 2
               }
              map_spectrum  "$spectrumname $group $item $Options(DT5780_Hist_TimeH.offset) $Options(DT5780_Hist_TimeH.shift)"
           }
        }
     }

    if {$Options(DT5780_Hist_TimeL.Enable) == 1} {

        for {set j 0} {$j < 2} {incr j} {   

#    histograms for the time (LSW)

           set spectrumname DT5780#$i.TL[set j]
           set-footer "Creating $spectrumname"
           set z [catch {CreateSpectrum1D $spectrumname $Options(DT5780_Hist_TimeL.channels)} m]

#    Allow "Spectrum already exists" so that further spectra can be created
           if {$z!=0 && $m==0x30004} then {set z 0}
           if {$z!=0} then {
              puts "Attempting to create spectrum $spectrumname"
              error $m
           } else {
               if {$UseGroup == 0} {
                   set group [expr ($i - 1) + $DT5780_Base]
                   set item [expr $j + (3 << 3)]
               } else {
                   set group [expr (($i - 1) * 2) + $j + $DT5780_Base]
                   set item 3
               }
              map_spectrum  "$spectrumname $group $item $Options(DT5780_Hist_TimeL.offset) $Options(DT5780_Hist_TimeL.shift)"
           }
        }
     }

     if {$Options(DT5780_Hist_TraceA.Enable) == 1} {

        for {set j 0} {$j < 2} {incr j} {   

#    histograms for the data trace A

           set spectrumname DT5780#$i.ChA[set j]
           set z [catch {CreateSpectrum1D $spectrumname $Options(DT5780_Hist_TraceA.channels)} m]

#    Allow "Spectrum already exists" so that further spectra can be created
           if {$z!=0 && $m==0x30004} then {set z 0}
           if {$z!=0} then {
              puts "Attempting to create spectrum $spectrumname"
              error $m
           } else {
              set group  [expr (($i-1) * 2) + $j + 256  + $DT5780_Base] 
              map_spectrum  "$spectrumname $group 0 $Options(DT5780_Hist_TraceA.offset) $Options(DT5780_Hist_TraceA.shift)"
           }
        }
     }

     if {$Options(DT5780_Hist_TraceB.Enable) == 1} {

        for {set j 0} {$j < 2} {incr j} {   

#    histograms for the data trace B

           set spectrumname DT5780#$i.ChB[set j]
           set z [catch {CreateSpectrum1D $spectrumname $Options(DT5780_Hist_TraceB.channels)} m]

#    Allow "Spectrum already exists" so that further spectra can be created
           if {$z!=0 && $m==0x30004} then {set z 0}
           if {$z!=0} then {
              puts "Attempting to create spectrum $spectrumname"
              error $m
           } else {
              set group  [expr (($i-1) * 2) + $j + 256  + $DT5780_Base] 
              map_spectrum  "$spectrumname $group 0 $Options(DT5780_Hist_TraceB.offset) $Options(DT5780_Hist_TraceB.shift)"
           }
        }
     }
   }
}

