

puts "loading sys.V1495DPP.tcl"


variable registerlist

lappend registerlist [list NetVar.V1495DPP_UseCtrl  "-n V1495DPP_UseCtrl -t int"]

variable V1495DPP_Base 224




proc Set_V1495DPP_Options {} {puts "Set_V1495DPP_Options"
    variable Options
    variable V1495DPP_Base
    variable Use1495DPP

    load_Options

   if {![info exists Options(V1495DPP_Base)]} {set Options(V1495DPP_Base) $V1495DPP_Base}
   if {![info exists Options(Use1495DPP)]}    {set Options(Use1495DPP) 0}

   set V1495DPP_Base  $Options(V1495DPP_Base)
   set Use1495DPP  $Options(Use1495DPP)

    update_Options
}

proc V1495DPP_Configure {} {puts "V1495DPP_Configure"}

proc V1495DPP_DAQ-go {} {puts "V1495DPP_DAQ-go"}

proc V1495DPP_DAQ-halt {} {puts "V1495DPP_DAQ-halt"}

proc V1495DPP_DAQ-setup {} {puts "V1495DPP_DAQ-setup"

      V1495DPP_Configure
}

proc V1495DPP_DAQ-flush {} {puts "V1495DPP_DAQ-flush"}

proc V1495DPP_DAQ-reset {} {puts "V1495DPP_DAQ-reset"}

proc define_V1495DPP_config {} {puts "define_V1495DPP_config"
   variable Options
   variable V1495DPPPres 
   variable Use1494DPP

   set maxmodule 0
   for {set i 1} {$i <= 16} {incr i} {
      set z [catch {ReadVMERegisterAttr v1495dpp#$i.Ctrl} m]
      if {$z!=0} then {break}
      incr maxmodule
   }

   if {$maxmodule > 0} then {set V1495DPPPres 1; set Use1495DPP 1} else {set V1495DPPPres 0; set Use1495DPP 0}
   
   set Options(Use1495DPP) $Use1495DPP

   if {$maxmodule > 0} then {DefineConfig "1495 0 [format "0x%x" $Options(V1495DPP_Base)]"}

   for {set i 1} {$i <= $maxmodule} {incr i} {

      set z [catch {ReadVMERegisterAttr v1495dpp#$i.DataBuffer} m]
      if {$z!=0} then {
          puts "Attempting to locate register v1495dpp#$i.DataBuffer"
          error $m
      }

      DefineConfig "1495 $i [string range [first $m] 2 end]"
   }

puts "V1495DPPPres=$V1495DPPPres; Use1495DPP=$Options(Use1495DPP)"

}


proc create_V1495DPP_spectra {} {}




